Ask Your Question
0

Problem by building the hector_lokalization package

asked 2013-01-02 20:33:43 -0500

Astronaut gravatar image

updated 2013-01-02 20:37:21 -0500

Hello

I tried to build the hector_localization package but could not. Im using Ubuntu 10.04 and ROS Fuerte. I got the following error.

Error: package/stack hector_pose_estimation_rtt depends on non-existent package rtt_rosnode


  CMake Error at /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:129 (message):


    Failed to invoke rospack to get compile flags for package
    'hector_pose_estimation_rtt'.  Look above for errors from rospack itself.
    Aborting.  Please fix the broken dependency!

Any help??

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-01-02 20:39:51 -0500

damonkohler gravatar image

It looks like you need to install rtt. Try:

sudo apt-get install ros-fuerte-rtt-*

edit flag offensive delete link more

Comments

I cant. It gives me an error E: Couldn't find package ros-fuerte-rtt-*

Astronaut gravatar image Astronaut  ( 2013-01-02 21:01:20 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-01-02 20:33:43 -0500

Seen: 84 times

Last updated: Jan 02 '13